//
//  MenuViewController.m
//  SlidingMenu
//
//  Created by Julien Gomes on 8/20/12.
//  Copyright (c) 2012 Gomes Brothers. All rights reserved.
//

#import "MenuViewController.h"

#define SEARCH_HEIGHT 43

@implementation MenuViewController

- (id)initWithMenuController:(GBSlideOutController *)theMenuController
{
    self = [super init];
    if (self) {
        // Custom initialization
        menuController = theMenuController;
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];
    
    menuContent = [[UITableView alloc] initWithFrame:CGRectMake(0, SEARCH_HEIGHT,self.view.bounds.size.width,self.view.bounds.size.height-SEARCH_HEIGHT) style:UITableViewStylePlain];
    menuContent.delegate = self;
    menuContent.dataSource = self;
    [self.view addSubview:menuContent];
    [menuContent release];
    
    UIImageView *searchImage = [[UIImageView alloc] initWithFrame:CGRectMake(0, 0, self.view.bounds.size.width, SEARCH_HEIGHT)];
    [searchImage setImage:[UIImage imageNamed:@"searchBar.png"]];
    [self.view addSubview:searchImage];
    [searchImage release];
    
    searchInput = [[UITextField alloc] initWithFrame:CGRectMake(35, 10, 200, 20)];
    searchInput.textColor = [UIColor whiteColor];
    searchInput.delegate = self;
    [self.view addSubview:searchInput];
    [searchInput release];
}

- (BOOL)textFieldShouldReturn:(UITextField *)textField {
    [textField resignFirstResponder];
    return NO;
}

#pragma mark - tableView Data Source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return [menuController.viewControllers count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    static NSString *CellIdentifier = @"Cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier] autorelease];
    }
    
    // Set up the cell...
    if(indexPath.row < [menuController.viewControllers count]){
        NSString *cellValue = ((UIViewController *)[menuController.viewControllers objectAtIndex:indexPath.row]).title;
        [cell.textLabel setText:cellValue];
    }
    
    return cell;
}

#pragma mark - tableView Delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath{
    if(indexPath.row < [menuController.viewControllers count]){
        [tableView deselectRowAtIndexPath:indexPath animated:YES];
        [menuController displayControllerAtIndex:indexPath.row];
    }
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
