//
//  ViewControllerA.m
//  SlidingMenu
//
//  Created by Julien Gomes on 8/20/12.
//  Copyright (c) 2012 Gomes Brothers. All rights reserved.
//

#import "ViewControllerA.h"
#import "GBAppDelegate.h"
#import "GBSlideOutController.h"
#import "ViewControllerD.h"

@implementation ViewControllerA

- (id)init
{
    self = [super init];
    if (self) {
        // Custom initialization
        self.view.backgroundColor = [UIColor scrollViewTexturedBackgroundColor];
        self.title = @"Controller A";
        
        UILabel *label = [[UILabel alloc] initWithFrame:CGRectMake(0, 0, 320, 380)];
        [label setTextAlignment:UITextAlignmentCenter];
        [label setBackgroundColor:[UIColor clearColor]];
        [label setFont:[UIFont fontWithName:@"Verdana" size:(250)]];
        [label setTextColor:[UIColor colorWithRed:1 green:1 blue:1 alpha:1.0]];
        [label setText:@"A"];
        [label setShadowColor:[UIColor blackColor]];
        [label setShadowOffset:CGSizeMake(1, 3)];
        [self.view addSubview:label];
        [label release];
        
        UIButton *aboutBtn = [UIButton buttonWithType:UIButtonTypeRoundedRect];
        aboutBtn.frame = CGRectMake(150, 370, 150, 30);
        [aboutBtn addTarget:self action:@selector(pushViewControllerD:) forControlEvents:UIControlEventTouchUpInside];
        [aboutBtn setTitle:@"Controller D >>" forState:UIControlStateNormal];
        [self.view addSubview:aboutBtn];
    }
    return self;
}

- (void) pushViewControllerD:(id)sender{
    GBAppDelegate *appDelegate = ((GBAppDelegate *)[[UIApplication sharedApplication] delegate]);
    GBSlideOutController *controller = ((GBSlideOutController *)appDelegate.window.rootViewController);
    
    ViewControllerD *viewControllerD = [[ViewControllerD alloc] init];
    [controller displayController:viewControllerD];
    [viewControllerD release];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView
{
}
*/

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];
}
*/

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
